*{
    padding: 0%;
    margin: 0%; 
}

body{
    width: 100vw;
    height: 100vh;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    background-color: rgb(32, 32, 32);
    background-repeat: no-repeat;
    background-size: auto;
    color: rgb(230, 230, 230);
    text-align: center;
    font-family: 'Indie Flower', 'Comic Sans', cursive;
    font-size: 0.7em;
}

#tic_tac_toe_game_name{
    font-family: 'Courier New', Courier, monospace;
    color:rgb(235, 193, 193);
    font-size: 600%;
    position: absolute;
    top: 5%;
    left: 23%;
    text-shadow: 2px 2px magenta;
    animation: Tic_Tac_Toe_Animation 0.5s infinite alternate;
    
}
@keyframes Tic_Tac_Toe_Animation {
    0% {
        transform: translateY(0);
    }
    100% {
        transform: translateY(-40%);
    }
}

#tic_tac_toe_first_page{
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: center;
    align-content: center;
    flex-direction: column;
    background: url('Image/tic_tac_toe.jpg') center center/cover;
    background-repeat: no-repeat;
}


.tic_tac_toe_game_button
{
    border: 6px double rgb(234, 84, 84);
    border-radius: 20%;
    padding: 1% 1%;
    font-size: 140%;
    font-weight: bold;
    cursor: pointer;
    margin: 30px 0px;
    width: 20%;
    background-color: navy;
    color: rgb(226, 218, 218);
    position: absolute;
    border-color: rgb(128, 0, 0);
    left: 40%;
}

/* #snake_exit_button:hover, */
.tic_tac_toe_game_button:hover
{
    background-color: lightblue;
    color:navy;
    border-color: rgb(100, 47, 9);
    transform: scale(1.1, 1.1);
}

#tic_tac_toe_game_start{
    top:50%;
}

#tic_tac_toe_game_about{
    top:60%;
}

#tic_tac_toe_game_setting{
    top:70%;
}

#tic_tac_toe_game_quit{
    top:80%;
}

.tic_tac_toe_setting_r,
.tic_tac_toe_about_r{
    width: 30%;
    height: 45%;
    background-color: lightblue;
    color: navy;
    opacity: 78%;
    position: absolute;
    top: 22.5%;
    left: 35%;
    box-shadow: 0 20px 20px rgba(161, 125, 232, 0.6), 0 20px 20px rgb(122, 122, 216);
}

.exit_button{
    border: 6px double rgb(245, 214, 214);
    border-radius: 20%;
    padding: 1% 1%;
    font-size: 140%;
    font-weight: bold;
    cursor: pointer;
    margin: 30px 0px;
    width: 60%;
    height: 20%;
    background-color:midnightblue;
    color: rgb(226, 218, 218);
    border-color: rgb(243, 127, 127);
}

.exit_button:hover
{
    background-color: lightseagreen;
    color:midnightblue;
    border-color: rgb(100, 47, 9);
    transform: scale(1.1, 1.1);
}

#on_music{
    margin-top: 50px;
    height: 40%;
    width: 40%;
    padding-right: 3%;
    top: 10%;
    left: 0%;
}

#off_music{
    margin-top: 50px;
    height: 40%;
    width: 40%;
    padding: 0%;
    top: 10%;
    left: 60%;
}

#on_music:hover,
#off_music:hover{
    transform: scale(1.1);
}

.tic_tac_toe_about,
.tic_tac_toe_setting,
.tic_tac_toe_quit,
.tic_tac_toe_button,
#tic_tac_toe_main_game{
    display: none;
}

@media (max-width : 600px){

    #tic_tac_toe_game_name{
        font-size: 250%;
        top: 5%;
        left: 10%;
        width: 80%;
        
    }

    .tic_tac_toe_game_button{
        font-size: 170%;
        left: 20%;
        width: 60%;
    } 
    
    .tic_tac_toe_about_r{
        width: 80%;
        height: 100%;
        font-size: 90%;
        left: 10%;
        height: 50%;
    }

    #tic_tac_toe_game_start{
        top:50%;
    
    }
    
    #tic_tac_toe_game_about{
        top:60%;
    }
    
    #tic_tac_toe_game_setting{
        top:70%;
    }
    
    #tic_tac_toe_game_quit{
        top:80%;
    }

    .tic_tac_toe_setting{
        width: 80%;
        left: 10%;
    }
}

@media (max-height : 600px){

    #tic_tac_toe_game_name{
        font-size  : 400%;
        top: 5%;
        left: 15%;  
    }

    .tic_tac_toe_game_button{
        font-size: 170%;
        left: 60%;
    } 
    
    .tic_tac_toe_about_r{
        width: 80%;
        height: 80%;
        font-size: 100%;
        left: 10%;
        top:10%
    }

    #tic_tac_toe_game_start{
        top:22%;
    }
    
    #tic_tac_toe_game_about{
        top:38%;
    }
    
    #tic_tac_toe_game_setting{
        top:54%;
    }
    
    #tic_tac_toe_game_quit{
        top:70%;
    }
}
